/* vMac 0.1 Source
   By Philip Cummins (PC)
   Copyright PC 1997 */
   
/* PC - Keyboard Function Code */

#include "Keyboard.h"

UBYTE Keyboard_Data = 0;

int  Keyboard_Init (void)
{
  Keyboard_Data = 0;
  return 0;
}

void Keyboard_Reset (void)
{
  (void) Keyboard_Init();
}

void  Keyboard_Send (UBYTE in)
{
  Keyboard_Data = 0;
  switch (in)
  {
    case 0x10 : /* Inquiry Command */
      Keyboard_Data = 0x7B; /* Return NULL */
      break;
    case 0x14 : /* Instant Command */
      Keyboard_Data = 0x7B; /* Return NULL */
      break;
    case 0x16 : /* Model Command */
      Keyboard_Data = 0x01; /* Test value, means Model 0, no extra devices */
      break;
    case 0x36 : /* Test Command */
      Keyboard_Data = 0x7D; /* Return ACK */
      break;
    default :
      break;
  }
}

UBYTE Keyboard_Get (void)
{
  return Keyboard_Data;
}