/* vMac 0.1 Source
   By Philip Cummins (PC)
   Copyright PC 1997 */
   
/* PC - RTC (Real Time Clock) Headers */

#include "sysconfig.h"
#include "sysdeps.h"

typedef struct
{
  UBYTE Seconds_0;
  UBYTE Seconds_1;
  UBYTE Seconds_2;
  UBYTE Seconds_3;
  UBYTE Test;
  UBYTE Write_Protect;
  UBYTE RAM[24]; /* Docs only detail 20 registers, but there are 24 */
} RTC_Ty;

int   RTC_Init (void);
void  RTC_Reset (void);
void  RTC_Interrupt (void);

void  RTC_Put (UBYTE in);
UBYTE RTC_Get (void);

void RTC_DoCmd (void);
void RTC_Read  (void);
void RTC_Write (void);
void RTC_Save  (void);