/* vMac 0.1 Source
   By Philip Cummins (PC)
   Copyright PC 1997 */
   
/* PC - RAM Memory Header */

/* RAM Handlers, 1 MB Mac Plus (for now) */

#include "sysconfig.h"
#include "sysdeps.h"

#define kRAM_Size 0x100000 /* 1 MB */
#define kRAM_Base 0x000000 /* RAM begins at 0 */
#define kRAM_Top  0x400000 /* RAM ends at 4 MB */

#define kRAM_Overlay_Base 0x600000 /* RAM begins at 6 MB */
#define kRAM_Overlay_Top  0x700000 /* RAM ends at 7 MB */

int   RAM_Init (void);
void  RAM_Reset (void);
UWORD *RAM_Xlate (CPTR addr);

UBYTE RAM_GetB (CPTR addr);
UWORD RAM_GetW (CPTR addr);
ULONG RAM_GetL (CPTR addr);

void  RAM_PutB (CPTR addr, UBYTE in);
void  RAM_PutW (CPTR addr, UWORD in);
void  RAM_PutL (CPTR addr, ULONG in);

