/* vMac 0.1 Source
   By Philip Cummins (PC)
   Copyright PC 1997 */
   
/* PC - Mac Screen Functions */

#include "Screen.h"
#include "RAM.h"
#include "VIA.h"
#include "QuickDraw.h"
#include "Fonts.h"
#include "Windows.h"

extern UBYTE vPage2;
UBYTE Draw_Delay = 2; /* PC - Delay drawing of Screen every x time */
UBYTE Draw_Count = 0; /* PC - Counter for Drawing Screen */

WindowPtr Screen;

int  Screen_Init (void)
{
  Rect Bounds;
  
  InitGraf(&qd.thePort);
  InitFonts();
  InitWindows();
  SetRect(&Bounds,50,50,562,434);
  Screen = NewWindow(NULL,&Bounds,NULL,TRUE,2,(WindowPtr) -1,FALSE,0);
  return 0;
}

void Screen_Reset (void)
{
  NULL;
}

void Screen_Draw (void)
{
  GrafPtr savePort;
  BitMap src;
  BitMap dst;
  Rect Bounds;
  
  if ((Draw_Count % Draw_Delay) == 0)
  {
    Draw_Count = 0;
    GetPort(&savePort);
    SetPort(Screen);
    if (vPage2 == 1)
      { src.baseAddr = (char*) RAM_Xlate (kMain_Buffer); }
    else
      { src.baseAddr = (char*) RAM_Xlate (kAlternate_Buffer); }
    src.rowBytes = 64;
    SetRect(&Bounds,0,0,512,384);
    src.bounds = Bounds;
    dst = Screen->portBits;
    CopyBits(&src,&dst,&src.bounds,&dst.bounds,srcCopy,NULL);
    SetPort(savePort);
  }
  Draw_Count++;
}